E-Arogya - Bug #93

Feature # 65 (New): Security Audit

[Security Audit ] 28- Technology/Version Disclosure
17/04/2024 04:11 PM - Kalyan Battula

Status: Closed Start date: 17/04/2024
Priority: Low Due date:

Assignee: Uday Kumar Dara % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

28- Technology/Version Disclosure

CWE : CWE-200

Description :

The HTTP responses returned by this web application include a header named server.
The value of this header is used to determine which version of server technology or
framework is in use. It is not necessary for production sites and should be disabled
Affected Path(s) :

/(WebServer)

Impact :

The HTTP header may disclose sensitive information. This information can be used to
launch further attacks.

Recommendation :

It is recommended to implement generic error messages and remove the version
information in response headers.

Evidence/Proof Of Concept :

Step 1: Technology version disclosed as shown in below screenshot.
History

#1 - 25/04/2024 11:48 PM - Vasudev Mamidi

- Status changed from New to Resolved

#2 - 26/04/2024 12:02 AM - Vasudev Mamidi

- Assignee set to Uday Kumar Dara

#3 - 03/05/2024 05:23 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#4 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#5 - 30/09/2024 04:34 PM - Gautam Kumar

- Status changed from Resolved to Closed
